<!-- 使用审批的UI -->
<template>
	<view class="check-action">
		<view class="btn-wrap">
			<view>
				<u--textarea v-model="opinions" placeholder="请输入意见"></u--textarea>
			</view>
			<view class="buttons">
				<u-button @click="handlePass" class="btn first-btn" type="primary" text="同意"></u-button>
				<u-button @click="handleReject" type="warning" text="驳回"></u-button>
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		props: {},
		data() {
			return {
				opinions: ''
			}
		},
		methods: {
			handlePass() {
				this.$emit('chilPass', {
					opinions: this.opinions
				}, function(res) {})
			},
			handleReject() {
				this.$emit('chilReject', {
					opinions: this.opinions
				}, function(res) {})
			},

		}
	}
</script>

<style scoped>
	.btn-wrap {
		position: fixed;
		bottom: 0;
		left: 0;
		width: 100%;
		box-sizing: border-box;
		padding: 16px;
		z-index: 1000;
		background: #fff;
		box-shadow: 0 -1px 2px 0 rgba(0, 0, 0, .05);
	}

	.buttons {
		margin-top: 5px;
		display: flex;
		justify-content: space-between;
	}

	.buttons .first-btn {
		margin-right: 20px;
	}
</style>